Bug 489839 - Phonon blocks KDE for about a minute after login and gives "Removed Sound devices" notification
Phonon blocks KDE for about a minute after login and gives "Removed Sound dev...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: phonon (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 03:38 EDT by Davide Rondini
Modified: 2009-06-28 04:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 09:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 198131 None None None Never

  None (edit)
Description Davide Rondini 2009-03-12 03:38:15 EDT
Description of problem:
Sometimes just after login my KDE stucks for about 1 minute. Kwin runs, but applications don't start and KDE menu don't appear. After that time, I hear the login sound and everything starts working normally. I suppose it is something related to phonon because sometimes after the block a window appears saying:

KDE detected that one or more internal sound devices were removed.
Do you want KDE to permanently forget about these devices?
This is the list of devices KDE thinks can be removed:
Output: Default

The output field vary randomly between one of the sound devices I see in KDE system settings, which are:

PulseAudio (which I set ad preferred device)
HDA Intel (ACL883 Analog)
PulseAudio Sound Server
Default

If I try to remove devices as the dialog asks, they will reappear at next reboot and the problem persists.

lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)

Motherboard: Asus P5KR

The problem appeared after update to KDE 4.2, but I'm not sure this is a Fedora or KDE bug.

Version-Release number of selected component (if applicable):
Name       : phonon               
Arch       : x86_64               
Versione    : 4.3.0
Release    : 5.fc10

KDE 4.2.0

How reproducible:
Not always reproducible: it occurs randomly at login.
Comment 1 Kevin Kofler 2009-03-12 04:20:38 EDT
Looks like PulseAudio is not starting properly on your machine.
Comment 2 Rex Dieter 2009-03-12 10:42:08 EDT
I've seen the delay on my boxes on upgrade from kde-4.1 -> kde-4.2, due to phonon/pulseaudio naming of devices differently.  Once I allowed phonon to remove the no-longer-found devices, all has been well since.

Now, if it happens repeatedly, that usually means (as Kevin suggested) either pulseaudio or some audio devices occasionally go awol.

The "Default" device should never disappear, that's an alsa thing (isn't it? maybe Kevin can educate me/us here.)

The "HDA Intel (ACL883 Analog)" item for you is troublesome.  (that's the change I saw *once* when I upgraded).

PulseAudio Sound Server refers to alsa-plugins-pulseaudio (if this was uninstalled, or PA server not starting properly may cause this).
Comment 3 Davide Rondini 2009-03-12 11:10:24 EDT
(In reply to comment #2)
> I've seen the delay on my boxes on upgrade from kde-4.1 -> kde-4.2, due to
> phonon/pulseaudio naming of devices differently.  Once I allowed phonon to
> remove the no-longer-found devices, all has been well since.
> 
> Now, if it happens repeatedly, that usually means (as Kevin suggested) either
> pulseaudio or some audio devices occasionally go awol.
> 
I've set pulseaudio log-level to debug (in /etc/pulse/daemon.conf), but the output of:

logwatch --logfile syslog --range all --print

is still empty. How can I diagnose it better?

> The "Default" device should never disappear, that's an alsa thing (isn't it?
> maybe Kevin can educate me/us here.)
> 
> The "HDA Intel (ACL883 Analog)" item for you is troublesome.  (that's the
> change I saw *once* when I upgraded).

I've tried to accept the removal of devices as KDE asks, but they seem to reappear. I've tried to enter KDE system settings to remove the device, but even if I launch it as root, "remove" button is disabled.

> 
> PulseAudio Sound Server refers to alsa-plugins-pulseaudio (if this was
> uninstalled, or PA server not starting properly may cause this).  

I've checked: alsa-plugins-pulseaudio is installed.
Comment 4 Kevin Kofler 2009-03-12 11:12:00 EDT
The only way I can think of where the "default" device would disappear is if you have alsa-plugin-pulseaudio installed, but PulseAudio is not actually working.
Comment 5 Kevin Kofler 2009-03-12 11:12:40 EDT
(Note that there can be multiple reasons for PulseAudio not working. For example, if it cannot access any hardware device it'll also reject all incoming connections.)
Comment 6 Davide Rondini 2009-04-10 15:03:54 EDT
It seems that it has something to do with Amarok: I was used to leave amarok open when exiting, so at next boot it was loaded at login. After reporting the bug, I tried to close Amarok before exiting, so it is not reloaded on login. The bug never manifested in that case. So I suppose that probably Amarok loads and requests access to the audio device before phonon has completed its startup.
Comment 7 Steven M. Parrish 2009-04-27 14:14:45 EDT
Sounds like this needs to be reported upstream against Amarok.  If you feel this is an issue that needs to be address please report it at http://bugs.kde.org and add upstream info to this report.  Thanks
Comment 8 Steven M. Parrish 2009-05-26 09:26:03 EDT
Closing as INSUFFICIENT_DATA.  Please feel free to reopen once an UPSTREAM report is opened or you have additional information.
Comment 9 Davide Rondini 2009-06-28 04:23:27 EDT
With some delay, but I created the report on KDE bugtracking here:

https://bugs.kde.org/show_bug.cgi?id=198131

Note You need to log in before you can comment on or make changes to this bug.